# Telegram

## Templates

On this page, you can manage templates used to send [event notifications](/back-office-guide/system/event-notifications.md) to [Back Office users](/back-office-guide/system/users.md) via Telegram.

For Telegram, templates are supported for the following three [types of events](/back-office-guide/references/event-types-for-triggering-event-notifications-for-back-office-users.md):

* `EventLogUserTagged`
* `PayoutRequestInitialized`
* `TestPassing`

### General information

The following information is provided about each template:

**Name**

The template name.

***

**Caption**

The template description.

***

**Enabled**

If **Yes**, a template is enabled and can be used for event notifications; otherwise, **No**.

To view the template details, click the **Edit** button.

### Details

In the **Template** field, you can view or slightly edit the template text.

### Supported Telegram templates

Use the Telegram templates provided below for notifications about supported event types. These templates contain keys that are replaced with relevant values when the event occurs and the notification is sent to recipients.

#### **EventLogUserTagged**

The template to notify Back Office users when are were mentioned in comments added to the [Events log](/back-office-guide/clients/events-log.md).

```
{email} mentioned {noticed} in his comment. {route} {comment}
```

#### **PayoutRequestInitialized**

The template for notifications about withdrawal requests created by clients:

```
Project: {frontUrl}|{companyName}
Type: Payout
Payout number: {urlMetaDetails}|{metaId}
Client Email: mailto:{clientEmail}|{clientEmail}
Task: check and approve the {urlRequestDetails}|withdrawal
```

#### **TestPassing**

The template for notifications about accreditation tests completed by clients.

```
Project: {frontUrl}|{companyName}
Test: testName
Request number: {urlRequestDetails}|{applicationId}
Client Email: mailto:{clientEmail}|{clientEmail}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.b2core.b2broker.com/back-office-guide/system/templates/telegram.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
